Follow

Technical Requirements for Dawn of Steel (iOS)

To run Dawn of Steel smoothly on iOS systems, you should at least own one of the following devices:

  • iPhone 5 or above. 
  • iPad 3 or above. 
  • iPad mini 2 or above 
  • iPod Touch 5G or above. 
Your device must run on iOS 7.0 or above.

Dawn of Steel might perform slowly - or in certain cases even crash - on devices that do not fulfill the above-mentioned requirements, such as the iPhone 4S, iPad2 or iPad mini. Although the game will run on these devices, please understand that we currently cannot support them in case of any technical issues.

We constantly endeavor to make Dawn of Steel available on as many devices as possible. However, in order to be able to give you the best gaming experience, it is unfortunately necessary to exclude some older devices.
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments